Commit 4c8106f8 authored by Jens Georg's avatar Jens Georg

Depend on vapigen >= 0.20 if g-i >= 1.36 is found

parent 70e91b3e
......@@ -44,14 +44,24 @@ fi
GOBJECT_INTROSPECTION_CHECK([0.9.5])
# vapigen
have_vapigen=no
AS_IF([test "x$found_introspection" = "xyes"],
[
VALA_PROG_VAPIGEN([0.14])
dnl output of g-i >= 1.36.0 needs vapigen >= 0.20 to process
AC_MSG_CHECKING([whether G-I is 1.36 or newer])
VAPIGEN_MIN_VERSION=0.14
AS_IF([pkg-config --atleast-version=1.36.0 gobject-introspection-1.0],
[
AC_MSG_RESULT([yes])
VAPIGEN_MIN_VERSION=0.20
],[AC_MSG_RESULT([no])]
)
GUPNP_PROG_VAPIGEN([$VAPIGEN_MIN_VERSION])
]
)
AS_IF([test "x$VAPIGEN" != "x"], [have_vapigen=yes])
AM_CONDITIONAL([HAVE_VAPIGEN], [test "x$VAPIGEN" != "x"])
GTK_DOC_CHECK([1.10],[--flavour no-tmpl])
AC_CONFIG_FILES([
......@@ -67,3 +77,12 @@ gupnp-av-1.0.pc
gupnp-av-1.0-uninstalled.pc
])
AC_OUTPUT
echo "
${PACKAGE} ${VERSION}
---------------------
Prefix: ${prefix}
GObject-Introspection: ${found_introspection}
VALA bindings: ${have_vapigen}
"
......@@ -26,7 +26,7 @@ dnl dropped everything but VALA_PROG_VAPIGEN - Jens Georg <mail@jensge.org>
#
# VALA_PROG_VAPIGEN([MINIMUM-VERSION])
# ------------------------------------
AC_DEFUN([VALA_PROG_VAPIGEN],
AC_DEFUN([GUPNP_PROG_VAPIGEN],
[AC_PATH_PROG([VAPIGEN], [vapigen], [])
AS_IF([test -z "$VAPIGEN"],
[AC_MSG_WARN([No Vala API Generator found. You will not be able to generate .vapi files.])],
......@@ -37,5 +37,7 @@ AC_DEFUN([VALA_PROG_VAPIGEN],
[AC_MSG_RESULT([yes])],
[AC_MSG_RESULT([yes])],
[AC_MSG_RESULT([no])
AC_MSG_WARN([Vala API Generator $1 not found.])])])])
AC_MSG_WARN([Vala API Generator $1 not found.])
VAPIGEN=""
])])])
])
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment